View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000840Ecere SDKcompilerpublic2013-04-24 13:372013-09-30 09:01
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000840: Chaining Instance::OnSerialize/OnUnserialize does not work (Tested with Container within Containers)
DescriptionChaining Instance::OnSerialize/OnUnserialize does not work (Tested with Container within Containers)
    void OnUnserialize(IOChannel channel) { Instance::OnUnserialize(channel); }
TagsNo tags attached.
Attached Files

- Relationships
related to 0000839closedjerome Make OpenRider use OnSerialize/OnUnserialize 
related to 0000071closedjerome Casting to base struct generates an extra referencing operator 
related to 0000838new Base Virtual Methods Access 
related to 0001029closedjerome Crash in Acovel with latest compiler 

-  Notes
(0001102)
jerome (administrator)
2013-09-30 09:01

Fixed by:
https://github.com/ecere/ecere-sdk/commit/55b6b1ade09243391970e23473b738dba024bc6f [^]

- Issue History
Date Modified Username Field Change
2013-04-24 13:37 redj New Issue
2013-04-24 19:57 jerome Priority normal => immediate
2013-09-20 21:35 jerome Relationship added related to 0000839
2013-09-21 07:47 jerome Assigned To => jerome
2013-09-21 07:47 jerome Status new => assigned
2013-09-21 07:47 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2013-09-30 06:49 jerome Relationship added related to 0000071
2013-09-30 09:01 jerome Status assigned => closed
2013-09-30 09:01 jerome Note Added: 0001102
2013-09-30 09:01 jerome Resolution open => fixed
2013-09-30 09:01 jerome Fixed in Version => 0.44.10 64
2013-10-01 17:00 jerome Relationship added related to 0000838
2013-10-18 21:07 jerome Relationship added related to 0001029



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker